Package org.silverpeas.mobile.shared.dto.documents

## Class TopicDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.documents.TopicDTO

- All Implemented Interfaces:
    `Serializable`, `Comparable<TopicDTO>`

      public class TopicDTO
      extends BaseDTO
      implements Serializable, Comparable<TopicDTO>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopicDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(TopicDTO o)` |
    `String` | `getName()` |
    `int` | `getPubCount()` |
    `boolean` | `isRoot()` |
    `boolean` | `isTerminal()` |
    `void` | `setName​(String name)` |
    `void` | `setPubCount​(int pubCount)` |
    `void` | `setRoot​(boolean root)` |
    `void` | `setTerminal​(boolean terminal)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopicDTO

          public TopicDTO()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### compareTo

          public int compareTo​(TopicDTO o)

      Specified by:
        `compareTo` in interface `Comparable<TopicDTO>`

    - #### isTerminal

          public boolean isTerminal()

    - #### setTerminal

          public void setTerminal​(boolean terminal)

    - #### isRoot

          public boolean isRoot()

    - #### setRoot

          public void setRoot​(boolean root)

    - #### getPubCount

          public int getPubCount()

    - #### setPubCount

          public void setPubCount​(int pubCount)